OntologyNetwork (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.align
Interface OntologyNetwork

All Superinterfaces:
  Cloneable

All Known Subinterfaces:
  LogicOntologyNetwork

All Known Implementing Classes:
  BasicOntologyNetwork, IDDLOntologyNetwork

    public interface OntologyNetwork

extends Cloneable

Represents a distributed system of aligned ontologies or network of ontologies.

Version:
  $Id: OntologyNetwork.java 1205 2010-01-10 21:00:31Z euzenat $
Author:
  Jérôme Euzenat

Method Summary
`void` | `addAlignment(Alignment al)`
`void` | `addOntology(URI onto)`
`Set<Alignment>` | `getAlignments()`
`Set<URI>` | `getOntologies()`
`Set<Alignment>` | `getSourceAlignments(URI onto)`
`Set<Alignment>` | `getTargetingAlignments(URI onto)`
`void` | `invert()` close reflexively the network.
`void` | `remAlignment(Alignment al)`
`void` | `remOntology(URI onto)`

Method Detail

### addAlignment

    void addAlignment(Alignment al)
                      throws AlignmentException

  Throws:
    `AlignmentException`

### addOntology

    void addOntology(URI onto)

### remAlignment

    void remAlignment(Alignment al)
                      throws AlignmentException

  Throws:
    `AlignmentException`

### remOntology

    void remOntology(URI onto)
                     throws AlignmentException

  Throws:
    `AlignmentException`

### getAlignments

    Set<Alignment> getAlignments()

### getOntologies

    Set<URI> getOntologies()

### getTargetingAlignments

    Set<Alignment> getTargetingAlignments(URI onto)

### getSourceAlignments

    Set<Alignment> getSourceAlignments(URI onto)

### invert

    void invert()
                throws AlignmentException

  close reflexively the network. The network is modified.

  Throws:
    `AlignmentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010